#!../../bin/darwin-x86/wchk

< envPaths
epicsEnvSet("STREAM_PROTOCOL_PATH","${TOP}/db")
epicsEnvSet("P","$(P=wchk:)")
epicsEnvSet("R","$(R=1:)")
cd "${TOP}"

## Register all support components
dbLoadDatabase "dbd/wchk.dbd"
wchk_registerRecordDeviceDriver pdbbase

drvAsynIPPortConfigure("L1","127.0.0.1:8000",0,0,0)
asynOctetSetInputEos("L1",0,"\n")
asynOctetSetOutputEos("L1",0,"\n")
asynSetTraceIOMask("L1", -1, 0x2)
asynSetTraceMask("L1", -1, 0x9)

## Load record instances
dbLoadRecords("db/devwchk.db","P=$(P),R=$(R),PORT=L1,A=-1")

cd ${TOP}/iocBoot/${IOC}
iocInit

epicsThreadSleep 5
dbpf "$(P)$(R)Wave.PROC" 1
epicsThreadSleep 5
dbpr "$(P)$(R)Wave"
