#
# Simulate a message-based device
#
import SocketServer, sys

class DummyDevice(SocketServer.BaseRequestHandler):
    def handle(self):
        text = 'abcdefg'
        while 1:
            nchar = self.request.recv(1)
            if(len(nchar) <= 0):
               sys.exit(0)
            if ((nchar == '\r') or (nchar == '\n')):
                if (text[-5:] == '*IDN?'):
                    self.request.send('I am a dummy!\n')
                elif (text[-5:] == 'LONG?'):
                    for i in xrange(1,30000):
                        self.request.send('%d.123456789,' % i)
                    self.request.send('0.123456789\n')
            else:
                text = text[1:6] + nchar
server = SocketServer.TCPServer(('', 8000), DummyDevice)
server.serve_forever()
